%define version 4.1.8a
%define release alt0.M40
%setup_python_module pysnmp

Summary: SNMP v1/v2c/v3 engine
Name: %{packagename}4
Version: %version
Release: %release.1
Source0: %modulename-%version.tar.gz
License: BSD
Group: Development/Python
Conflicts: python-module-pysnmp
Packager: Eugene Prokopiev <enp@altlinux.ru>

%description
This is an alpha-quality revision of pure-Python, open source and free
implementation of v1/v2c/v3 SNMP engine.

%prep
%setup  -q -n %modulename-%version

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES

%changelog
* Tue Sep 02 2008 Eugene Prokopiev <enp@altlinux.ru> 4.1.8a-alt0.M40.1
- backport to branch/4.0

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 4.1.8a-alt1.1
- Rebuilt with python-2.5.

* Tue Oct 16 2007 Peter V. Saveliev <peet@altlinux.org> 4.1.8a-alt1
- initial build

